# Ciarence's Unbelievable Modifications
### Collection of changes that were too small to release individually

## Changelog
`1.0.0`  
Initial release

`1.1.0`  
New features:
- Fixes a typo in the Bomb Bot that used to soft-lock the game.
- Adds an option to customize the colour of the turrets' camera.
- Adds a disco mode that randomly cycles the turrets' camera colour.

`1.2.0`  
New features: 
- Adds an option to customize the colour of the Shock Drones and Security Cameras' cameras. Also affected by disco mode.

`1.3.0`  
New features: 
- Adds custom colour support for the flashlight, as well as a disco mode.

`1.4.0`  
New features: 
- Adds custom colour support for the fog in the normal game & in the compound. Yes, the Compound has fog, go to the helipad and you'll see it.

`1.5.0`  
New features:
- Ameliorated the custom fog colour thing to add an option to customize each rank's fog colour. Also made it work better.

`1.6.0`  
New features:
- [Torture Chamber](https://thunderstore.io/c/receiver-2/p/GldCheast/Bozos_Torture_Chamber/) integration! (can be overridden) KillDrones' colours will be: 
	- Red when idle
	- White when alerted
	- Orange-red when attacking
	
- Adds custom colour support for tripmines, also adds a different colour for when it is tripped.

Fixes: 
- Fixed Drones' and Security Cameras' colour changing one frame too late.
- Fixed Green Demon's colour being affected by custom colours.

`1.7.0`  
New Features:
- Added SSR & Motion Blur options and parameters to settings menu
- Added fix for dying when falling from too high repeatedly with GodMode on
- Added fix for bullets not colliding with Two Towers base
- Added fix for HiPoint magazine catch being stuck in pressed position when inserting magazine
	
`1.8.0`  
New Features:
- Added Trigger Event and Load Level from 2.0.0 into Debug Menu (above Special Events)
- Added fix for PowerLeechBot to make it work again :D (I love it it's my favourite I want to kiss it on the mouth)
- All compatible magazines for a gun now spawn in the dreaming (except gold ones)
	
Changes:
- Reduced distance at which bullets target you in TurretAmmoBoxBoom plugin
- Rewrote ReceiverFog searching code

Fixes:
- Fixed config not showing up in Config Managers

`1.9.0`  
New Features:  
- Added an FPS limiter for when the game is minimized
- Added the TapeLocatron3000, helping you to find tapes easierly, useful when you have music blaring through your speakers.
	
Changes:
- Rewrote TurretAmmoBoxBoom to make the detonation happen more consistently at lower FPS

## Features

### Background FPS limiter
You can now specify an FPS limit for when the game is in the background (minimized, not in focus, whatever).

### TapeLocatron3000  
Adds a glow in the corner of your vision that changes colour depending on if you have direct line of sight to help you guide towards nearby tapes.  

### TurretAmmoBoxBoom
Want to add a degree of ~~annoyance~~ fun to your regular Receiver 2 gameplay?  
Turrets' ammo boxes now **explode** if you shoot them! (and if they have any ammo left)

### FlashlightTweaks  
Allows you to drop and turn off/on your flashlight on a whim!  
Hold **"E"** with the flashlight in your hands when you're not holding a gun to drop it!   
Press **"X"** by default to toggle the flashlight.  
You can choose a custom colour for the flashlight!  
Also fixes a bug where the smoke cone's opacity wouldn't lower, even when the flashlight was out of battery.

### PostProcessTweaks
You can now change the colour of the fog :D

### DropGunEverywhere
Allow you to drop your gun in any scene, anytime.

### RobotTweaks
Fixes the Bomb Bot so that it doesn't soft-lock the game when it spots the player.  
You can now choose the colours of the lights on the killdrones! Also includes a disco option, inspired by [this](https://www.youtube.com/watch?v=welzVVJD4ok) video, by IwanPlays

### GunTweaks
For now, only fixes the main spring on the Desert Eagle, which clips through the grip.
Let me know if there's anything else that could need fixed.

### VictorianFix
For now, only fixes the floor collider on the top floor of the Victorian tile, which would block you from collecting a tape from under the turret that could spawn there.
Probably possible to add new spawns, however, doing that by code might be very time consuming.

### Config!!!!!!!!!!
You can turn on/off any of these patches anytime you want by going to BepInEx/config/CiarenceUnbelievableModifications.cfg, or by installing one of the many BepInEx [Config](https://github.com/sinai-dev/BepInExConfigManager) [Managers](https://github.com/BepInEx/BepInEx.ConfigurationManager), which allows you to do it on the fly!

## Credits timeeeeeeeeeee
- Szikaka for all the cool advice and stuff and all the code he did that's also pretty cool  
- IwanPlays for the idea of the customizable killdrone lights, and also the cool videos on Receiver :)